Decide Tool Call Approval
Approve or reject a pending call; an approval is usable for one hour.
POST
/
v1
/
workspaces
/
{workspace}
/
tool-call-approvals
/
{approval_id}
/
decide
Decide Tool Call Approval
curl --request POST \
--url https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals/{approval_id}/decide \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"approved": true,
"comment": "<string>"
}
'import requests
url = "https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals/{approval_id}/decide"
payload = {
"approved": True,
"comment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({approved: true, comment: '<string>'})
};
fetch('https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals/{approval_id}/decide', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals/{approval_id}/decide",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'approved' => true,
'comment' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals/{approval_id}/decide"
payload := strings.NewReader("{\n \"approved\": true,\n \"comment\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals/{approval_id}/decide")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"approved\": true,\n \"comment\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals/{approval_id}/decide")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"approved\": true,\n \"comment\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"arguments": {},
"can_decide": true,
"client_id": "<string>",
"client_name": "<string>",
"comment": "<string>",
"connector": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"hint": "<string>",
"id": "<string>",
"mcp_instance_id": "<string>",
"policy_name": "<string>",
"reason": "<string>",
"requested_by": "<string>",
"status": "pending",
"tool": "<string>",
"url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Slug of the workspace the request acts in
Maximum string length:
120Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Response
Successful Response
Available options:
pending, approved, rejected, consumed, expired Last modified on October 12, 2026
⌘I
Decide Tool Call Approval
curl --request POST \
--url https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals/{approval_id}/decide \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"approved": true,
"comment": "<string>"
}
'import requests
url = "https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals/{approval_id}/decide"
payload = {
"approved": True,
"comment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({approved: true, comment: '<string>'})
};
fetch('https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals/{approval_id}/decide', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals/{approval_id}/decide",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'approved' => true,
'comment' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals/{approval_id}/decide"
payload := strings.NewReader("{\n \"approved\": true,\n \"comment\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals/{approval_id}/decide")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"approved\": true,\n \"comment\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/workspaces/{workspace}/tool-call-approvals/{approval_id}/decide")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"approved\": true,\n \"comment\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"arguments": {},
"can_decide": true,
"client_id": "<string>",
"client_name": "<string>",
"comment": "<string>",
"connector": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"hint": "<string>",
"id": "<string>",
"mcp_instance_id": "<string>",
"policy_name": "<string>",
"reason": "<string>",
"requested_by": "<string>",
"status": "pending",
"tool": "<string>",
"url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}